### Method

# Gtk FileDialogselect_multiple_folders

since: 4.10

#### Declaration [src]

    void
    gtk_file_dialog_select_multiple_folders (
      GtkFileDialog* self,
      GtkWindow* parent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function initiates a multi-directory selection operation by presenting a file chooser dialog to the user.

The file chooser will initially be opened in the directory `GtkFileDialog:initial-folder`.

The `callback` will be called when the dialog is dismissed. It should call `gtk_file_dialog_select_multiple_folders_finish()` to obtain the result.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.